cayenne-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aadamc...@apache.org
Subject cayenne git commit: doesn't look like cayenne-java8 is still required in 4.1
Date Sat, 14 Oct 2017 13:57:47 GMT
Repository: cayenne
Updated Branches:
  refs/heads/master beabacefa -> 2e52a4294


doesn't look like cayenne-java8 is still required in 4.1


Project: http://git-wip-us.apache.org/repos/asf/cayenne/repo
Commit: http://git-wip-us.apache.org/repos/asf/cayenne/commit/2e52a429
Tree: http://git-wip-us.apache.org/repos/asf/cayenne/tree/2e52a429
Diff: http://git-wip-us.apache.org/repos/asf/cayenne/diff/2e52a429

Branch: refs/heads/master
Commit: 2e52a429447aa67442fa90ee93aa81d85397adcc
Parents: beabace
Author: Andrus Adamchik <andrus@objectstyle.com>
Authored: Sat Oct 14 16:57:29 2017 +0300
Committer: Andrus Adamchik <andrus@objectstyle.com>
Committed: Sat Oct 14 16:57:41 2017 +0300

----------------------------------------------------------------------
 .../getting-started/src/docbkx/java-classes.xml  | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cayenne/blob/2e52a429/docs/docbook/getting-started/src/docbkx/java-classes.xml
----------------------------------------------------------------------
diff --git a/docs/docbook/getting-started/src/docbkx/java-classes.xml b/docs/docbook/getting-started/src/docbkx/java-classes.xml
index 34ab663..82ecb5e 100644
--- a/docs/docbook/getting-started/src/docbkx/java-classes.xml
+++ b/docs/docbook/getting-started/src/docbkx/java-classes.xml
@@ -47,13 +47,12 @@
                 <para>Click "Generate"</para>
             </listitem>
         </itemizedlist>
-        <para>Now go back to IDEA - you
-            should see pairs of classes generated for each mapped entity. You probably also
see that
-            there's a bunch of red squiggles next to the newly generated Java classes in
IDEA.
-            This is because our project does not include Cayenne as a Maven dependency yet.
Let's
-            fix it now by adding "cayenne-server" and "cayenne-java8" artifacts in the bottom
of the <code>pom.xml</code> file.
-            Also we should tell Maven compile plugin that our project needs Java 8.
-            The resulting POM should look like
+        <para>Now go back to IDEA - you should see pairs of classes generated for each
mapped
+            entity. You probably also see that there's a bunch of red squiggles next to the
newly
+            generated Java classes in IDEA. This is because our project does not include
Cayenne as
+            a Maven dependency yet. Let's fix it now by adding "cayenne-server" and "cayenne-java8"
+            artifacts in the bottom of the <code>pom.xml</code> file. Also we
should tell Maven
+            compile plugin that our project needs Java 8. The resulting POM should look like
             this:<programlisting language="xml">&lt;project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"&gt;
     &lt;modelVersion&gt;4.0.0&lt;/modelVersion&gt;
@@ -68,12 +67,6 @@
             &lt;!-- Here specify the version of Cayenne you are actually using --&gt;
             &lt;version&gt;<?eval ${project.version}?>&lt;/version&gt;
         &lt;/dependency&gt;
-        &lt;!--  For java.time.* types you need to use this dependency-->
-        &lt;dependency>
-            &lt;groupId>org.apache.cayenne&lt;/groupId>
-            &lt;artifactId>cayenne-java8&lt;/artifactId>
-            &lt;version><?eval ${project.version}?>&lt;/version>
-        &lt;/dependency>
         &lt;dependency>
             &lt;groupId>org.slf4j&lt;/groupId>
             &lt;artifactId>slf4j-simple&lt;/artifactId>


Mime
View raw message